Imports System.ComponentModel                           'used for Properties
Imports System.Web.Mail
Imports System.Threading
Imports System.Data
Imports System.IO
Imports Microsoft.Win32

Imports Microsoft.VisualBasic.DateAndTime

'ODBC
'Imports System.Data
'Imports Microsoft.Data.ODBC


'F�r Sort
Imports System
Imports System.Collections

'TCP 
Imports System.Net
'Imports System.Net.Mail.MailMessage
Imports System.Net.Sockets

'F�r KW
Imports System.Globalization

Public Class DBTool
    Inherits System.ComponentModel.Component

#Region " Attributes "
    Private Shared configurationAppSettings As System.Configuration.AppSettingsReader = New System.Configuration.AppSettingsReader

#End Region

#Region " Methods "

    Public Shared Function GetString(ByVal VarString As Object) As String
        'check the String value
        If VarString Is Nothing OrElse VarString Is DBNull.Value OrElse VarString.ToString.ToUpper.Equals("NULL") OrElse VarString.ToString.Trim.Length = 0 Then
            'Wert ist DBNull oder nichts
            Return String.Empty
        ElseIf TypeOf VarString Is System.DateTime Then
            'konvertiere das Datum in ein kurzes Format
            Return DirectCast(VarString, System.DateTime).ToShortDateString
        ElseIf TypeOf VarString Is Date Then
            'konvertiere das Datum in ein kurzes Format
            Return DirectCast(VarString, Date).ToShortDateString
        Else
            Return VarString.ToString
        End If
    End Function

    Public Shared Function GetValue(ByVal VarString As Object, Optional ByVal standard As String = "0") As String
        'check the integer value

        If IsNothing(VarString) OrElse IsDBNull(VarString) OrElse Not IsNumeric(VarString) Then
            Return standard
        ElseIf TypeOf VarString Is Boolean Then
            Dim bool As Boolean = DirectCast(VarString, Boolean)
            If bool Then
                Return "1"
            Else
                Return "0"
            End If
        Else
            Return GetString(VarString)
        End If
    End Function

    Public Shared Function GetValue1(ByVal VarString As Object) As String
        If IsNothing(VarString) OrElse IsDBNull(VarString) OrElse Not IsNumeric(VarString) Then
            Return "0"
        Else
            Return GetString(VarString)
        End If
    End Function

    Public Shared Function GetDoublebool(ByVal VarString As Object) As Boolean
        'check the flot value
        GetDoublebool = False
        If GetString(VarString).Length > 0 Then
            Dim TabZahl2 As String = "0123456789,."
            Dim LVarString2 As Integer = GetString(VarString).Length
            Dim PruefVarString2 As Integer = GetString(VarString).Length
            For i2 As Integer = 1 To LVarString2
                For y2 As Integer = 1 To 12
                    If Mid(VarString, i2, 1) = Mid(TabZahl2, y2, 1) Then
                        PruefVarString2 = PruefVarString2 - 1
                        Exit For
                    End If
                Next
            Next
            If PruefVarString2 = 0 Then
                If CDbl(VarString) > 0 Then
                    GetDoublebool = True
                End If
            End If
        End If
        Return GetDoublebool
    End Function
#End Region

End Class